petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscFEIntegrateBdResidual

Produce the element residual vector for a chunk of elements by quadrature integration over a boundary

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscFEIntegrateBdResidual(PetscFE fem, PetscDS prob, PetscInt field, PetscInt Ne, PetscFEGeom *fgeom,
                                              const PetscScalar coefficients[], const PetscScalar coefficients_t[], PetscDS probAux, const PetscScalar coefficientsAux[], PetscReal t, PetscScalar elemVec[])

Not collective

### Input Parameters

| fem | - The PetscFE object for the field being integrated
| prob | - The PetscDS specifying the discretizations and continuum functions
| field | - The field being integrated
| Ne | - The number of elements in the chunk
| fgeom | - The face geometry for each cell in the chunk
| coefficients | - The array of FEM basis coefficients for the elements
| coefficients_t | - The array of FEM basis time derivative coefficients for the elements
| probAux | - The PetscDS specifying the auxiliary discretizations
| coefficientsAux | - The array of FEM auxiliary basis coefficients for the elements
| t | - The time

Output Parameter

elemVec -the element residual vectors from each element

### See Also

PetscFEIntegrateResidual()

### Level

developer

### Location

src/dm/dt/fe/interface/fe.c

### Implementations

src/dm/dt/fe/impls/basic/febasic.c:470:PetscErrorCode PetscFEIntegrateBdResidual_Basic(PetscFE fem, PetscDS prob, PetscInt field, PetscInt Ne, PetscFEGeom *fgeom,
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages